---
title:  PostgreSQL JDBC Driver 42.5.2 Released
date:   2023-01-31 14:30:44 -0500
categories:
- new_release
version: 42.5.2
---

### Changed
regression: This release has 2 known regressions which make it unusable see the notes in 42.5.3. We advise people not to use 42.5.2.
docs: specify that timeouts are in seconds and there is a maximum. Housekeeping on some tests fixes [#Issue 2671](https://github.com/pgjdbc/pgjdbc/issues/2671) [PR #2686](https://github.com/pgjdbc/pgjdbc/pull/2686)\
docs: clarify binaryTransfer and add it to README [PR# 2698](https://github.com/pgjdbc/pgjdbc/pull/2698)\
docs: Document the need to encode reserved characters in the connection URL [PR #2700](https://github.com/pgjdbc/pgjdbc/pull/2700)\
feat: Define binary transfer for custom types dynamically/automatically fixes [Issue #2554](https://github.com/pgjdbc/pgjdbc/issues/2554) [PR #2556](https://github.com/pgjdbc/pgjdbc/pull/2556)

### Added
fix: added gssResponseTimeout as part of [PR #2687](https://github.com/pgjdbc/pgjdbc/pull/2687) to make sure we don't wait forever on a GSS RESPONSE

### Fixed
fix: Ensure case of XML tags in Maven snippet is correct [PR #2682](https://github.com/pgjdbc/pgjdbc/pull/2682)\
fix: Make sure socket is closed if an exception is thrown in createSocket fixes [Issue #2684](https://github.com/pgjdbc/pgjdbc/issues/2684) [PR #2685](https://github.com/pgjdbc/pgjdbc/pull/2685)\
fix: Apply patch from [Issue #2683](https://github.com/pgjdbc/pgjdbc/issues/2683) to fix hanging ssl connections [PR #2687](https://github.com/pgjdbc/pgjdbc/pull/2687)\
fix: binary conversion of (very) long numeric values (longer than 4 * 2^15 digits) [PR #2697](https://github.com/pgjdbc/pgjdbc/pull/2697) fixes [Issue #2695](https://github.com/pgjdbc/pgjdbc/issues/2695)\
minor: enhance readability connection of startup params [PR #2705](https://github.com/pgjdbc/pgjdbc/pull/2785)\
fix: improve thread safety of PgResultSet#getTimestamp [PR #2726](https://github.com/pgjdbc/pgjdbc/pull/2726) fixes [Issue #2723](https://github.com/pgjdbc/pgjdbc/issues/2723)



<!--more-->

**Commits by author**

Dave Cramer (2):
- fix: binary conversion of (very) long numeric values (longer than 4 * 2^15 digits) [PR #2697](https://github.com/pgjdbc/pgjdbc/pull/2697)\
- fix: Apply patch from [Issue #2683](https://github.com/pgjdbc/pgjdbc/issues/2683) provided by James Courtney to fix hanging ssl connections [PR #2687](https://github.com/pgjdbc/pgjdbc/pull/2687)\
- fix: Make sure socket is closed if an exception is thrown in createSocket fixes [Issue #2684](https://github.com/pgjdbc/pgjdbc/issues/2684) [PR #2685](https://github.com/pgjdbc/pgjdbc/pull/2685)

Sebastian Baumhekel(1): <sebastian.baumhekel@gmail.com>
- feat: Define binary transfer for custom types dynamically/automatically fixes [Issue #2554](https://github.com/pgjdbc/pgjdbc/issues/2554) [PR #2556](https://github.com/pgjdbc/pgjdbc/pull/2556)

sz-liva(1):
- fix: improve thread safety of PgResultSet#getTimestamp [PR #2726](https://github.com/pgjdbc/pgjdbc/pull/2726) fixes [Issue #2723](https://github.com/pgjdbc/pgjdbc/issues/2723)

