---
title:  PostgreSQL JDBC Driver 42.6.0 Released
date:   2023-02-17 15:34:34 -0400
categories:
    - new_release
version: 42.6.0
---
**Notable changes**


### Fixed
fix: use `PhantomReferences` instead of `Obejct.finalize()` to track Connection leaks [PR #2847](https://github.com/pgjdbc/pgjdbc/pull/2847)\
    The change replaces all uses of Object.finalize() with PhantomReferences.
    The leaked resources (Connections) are tracked in a helper thread that is active as long as
    there are connections in use. By default, the thread keeps running for 30 seconds after all
    the connections are released. The timeout is set with pgjdbc.config.cleanup.thread.ttl system property.

refactor:(loom) replace the usages of synchronized with ReentrantLock [PR #2635](https://github.com/pgjdbc/pgjdbc/pull/2635)
    Fixes [Issue #1951](https://github.com/pgjdbc/pgjdbc/issues/1951)



<!--more-->

**Commits by author**

Rob Bygrave (1):
    refactor:(loom) replace the usages of synchronized with ReentrantLock [PR #2635](https://github.com/pgjdbc/pgjdbc/pull/2635)

Vladimir Sitnikov (1):
    fix: use `PhantomReferences` instead of `Obejct.finalize()` to track Connection leaks [PR #2847](https://github.com/pgjdbc/pgjdbc/pull/2847)   
